<?xml version="1.0"?>
<?script href="dcsetting.js"?/>

<window 
	id="dcsetting" 
	title="Setting" 
	orient="vertical"
	align="center" 
	width="500"
	height="630"
	background-color="RGB(255,255,255)"

	language_prefix="_"
	vMargin="0" 
	hMargin="0"
	center="true"
	resize="false"
	round="true"
	systitle="false"
	>
	
	<panel fillmode="1" height="30" orient="horizontal" transparent="true" image="titlebar1.png" >
		<spacer width="10" align="left" />
		<static id="title001" label="_title_setting" align="left" width="150" 
			font-bold="true" font-size="15" 
			text-align="left" transparent="true"/>
		<panel width="30" style="" align="right" orient="vetical" >	
			<button align="center" image="window_close.png" sizetoimage="true" onclick="RestoreConfig"/>
		</panel>	
		<spacer width="10" align="right"/>
	</panel>

	<panel fillmode="1" style="" height="600" orient="vertical" transparent="true" image="background_sub1.png" >
		<spacer height="10"/>
		<hbox>
			<panel id="tabbasic" align="center" width="470" height="540" transparent="true" style="" >	
				<spacer height="5"/>
				<hbox>
					<panel label="_static_generalsetting" orient="vertical" transparent="true" 
						style="frame" height="180" width="435" align="center" >
						<spacer height="20"/>
						<hbox>
							<spacer width="15" align="left" />
							<static label="_static_lang" width="75" height="20" align="left" 
								text-align="left" transparent="true" />
							<combobox id="combolanguage" onchange="dcsetting_lang" 
								width="300" height="20" align="right" 
								image="dropdown.png" style="flat" 
								downlist="_combo_english,_combo_chinese" 
								data="English,Chinese(Simplified)" 
								index=0 />
							<spacer width="25" align="right" />
						</hbox>
						<spacer height="3"/>
						<hbox>
							<spacer width="15" align="left" />
							<static label="_static_skin" width="75" height="20" align="left" 
								text-align="left" transparent="true" />
							<combobox id="comboshow" onchange="dcsetting_skin" 
								width="300" height="20" align="right" 
								image="dropdown.png" style="flat" 
								downlist="_combo_standard,_combo_special" 
								data="standard,special" 
								index=0 />
							<spacer width="25" align="right" />
						</hbox>
						<spacer height="3"/>
						<hbox>
							<spacer width="15" align="left" />
							<static label="_static_speed" width="75" height="20" align="left" 
								text-align="left" transparent="true" />
							<combobox id="combospeed" onchange="" 
								width="300" height="20" align="right" 
								image="dropdown.png" style="flat" 
								downlist="_combo_mostfast,24X,16X,12X,8X,4X,2X,1X" 
								datalist="most fast,24X,16X,12X,8X,4X,2X,1X" 
								index=0 />
							<spacer width="25" align="right" />
						</hbox>
						<spacer height="3"/>
						<hbox>
							<spacer width="15" align="left" />
							<static label="_static_tmppath" width="200" height="20" align="left" 
								text-align="left" transparent="true" />
						</hbox>
						<hbox>
							<spacer width="15" align="left" />
							<edit id="editlocation" text="" width="365" height="18" align="left" />
							<button id="buttonfileopen" label="..." align="right" 
								tooltip-text="_btn_tip_tmppath" 
								image="chg-dir.png" sizetoimage="true" 
								onclick="dcsetting_choosetempdir" />
							<spacer width="25" align="right" />
						</hbox>
						<hbox>
							<spacer width="15" align="left" />
							<checkbox id="checkboxdeltempfile" label="_chk_deltmp" 
								width="200" height="16 "align="left" image="checkbox.png" 
								onclick="" />									
						</hbox>
					</panel>
				</hbox>
				<spacer height="5"/>
				<hbox>
					<panel label="_static_videosetting" orient="vertical" transparent="true" 
						style="frame" height="240" width="435" align="center" >
						<spacer height="28" />
						<hbox>
							<spacer width="15" align="left" />
							<static label="_static_tvsetting" width="100" height="20" align="left" 
								text-align="left" transparent="true" />
							<combobox id="combotvsetting" onchange="" 
								width="285" height="20" align="right" 
								image="dropdown.png" style="flat" 
								downlist="NTSC,PAL" index=0 />
							<spacer width="25" align="right" />
						</hbox>
						<spacer height="3"/>
						<hbox>
							<spacer width="15" align="left" />
							<static label="_static_scale" width="100" height="20" align="left" 
								text-align="left" transparent="true" />
							<combobox id="combofilmscale" onchange="" 
								width="285" height="20" align="right" 
								image="dropdown.png" style="flat" 
								downlist="4:3,16:9" index=0 />
							<spacer width="25" align="right" />
						</hbox>
						<spacer height="3"/>
						<hbox>
							<spacer width="15" align="left" />
							<static label="_static_zoommode" width="100" height="20" align="left" 
								text-align="left" transparent="true" />
							<combobox id="combozoommode" onchange="" 
								width="285" height="20" align="right" 
								image="dropdown.png" style="flat" 
								downlist="Letterbox,Pan and Scan,Full Screen" 
								index=0 />
							<spacer width="25" align="right" />
						</hbox>
<!--
						<spacer height="3"/>
						<hbox>
							<spacer width="15" align="left" />
							<static label="_static_filmlevel" width="75" height="20" align="left" 
								text-align="left" transparent="true" />
							<combobox id="combofilmlevel" onchange="" 
								width="300" height="20" align="right" 
								image="dropdown.png" style="flat" 
								downlist="G,PG,PG-13,R,NC-17" 
								index=0 />
							<spacer width="25" align="right" />
						</hbox>
-->						
						<spacer height="3"/>
						<hbox>
							<spacer width="15" align="left" />
							<vbox>
								<static label="_static_quality" width="95" height="15" align="center" 
									text-align="left" transparent="true" />
							</vbox>
							<spacer width="5" align="left" />
							<vbox>
								<spacer height="2" align="top"/>
								<group id="groupquality" onchange="" align="top"
									width="400" height="25" 
									orient="horizontal" transparent="true" >
									<radio id="radioqualityhigh" label="_radio_high" width="100" image="radiobutton.png" />
									<radio id="radioqualitynormal" label="_radio_normal" width="100" image="radiobutton.png" />
									<radio id="radioqualitylow" label="_radio_low" width="100" image="radiobutton.png" />
								</group>
							</vbox>
						</hbox>
						<spacer height="3"/>
						<hbox>
							<spacer width="15" align="left" />
							<checkbox id="checkboxplay" label="_chk_straightplay" 
								width="200" height="16 "align="left" image="checkbox.png" 
								onclick="" />									
						</hbox>
						<spacer height="3"/>
						<hbox>
							<spacer width="15" align="left" />
							<checkbox id="checkboxchapter" label="_chk_autochapter" 
								width="200" height="16 "align="left" image="checkbox.png" 
								checked="false" onclick="dcsetting_chkchapter" />									
						</hbox>
						<spacer height="3"/>
						<hbox>
							<spacer width="25" align="left" />
							<static label="_static_fixtime" width="75" height="15" align="left" 
								text-align="right" transparent="true" />
							<spacer width="5" align="left" />
							<editspin id="editspintime" 
								scroll-up="spinbtn_up.png" scroll-down="spinbtn_down.png" 
								width="45" height="18" 
								readonly="true"  
								min="1" max="100" value="15" 
								enable="false" onchange="" />
							<spacer width="5" align="left" />
							<static label="_static_minute" width="75" height="15" align="left" 
								text-align="left" transparent="true" />
						</hbox>
					</panel>
				</hbox>
				<spacer height="5"/>
				<hbox>
					<panel label="_static_menusetting" orient="vertical" transparent="true" 
						style="frame" height="80" width="435" align="center" >
						<spacer height="20" />
						<hbox>
							<spacer width="15" align="left" />
							<checkbox id="checkboxbreviary" label="_chk_breviary" 
								width="200" height="16 "align="left" image="checkbox.png" 
								checked="false" onclick="dcsetting_chkbreviary" />									
						</hbox>
						<spacer height="3"/>
						<hbox>
							<spacer width="25" align="left" />
							<static label="_static_videolength" width="75" height="15" align="left" 
								text-align="right" transparent="true" />
							<spacer width="5" align="left" />
							<editspin id="editspinlength" 
								scroll-up="spinbtn_up.png" scroll-down="spinbtn_down.png" 
								width="45" height="18" 
								readonly="true" 
								min="1" max="100" value="5" 
								enable="false" onchange="" />
							<spacer width="5" align="left" />
							<static label="_static_second" width="75" height="15" align="left" 
								text-align="left" transparent="true" />
						</hbox>
					</panel>
				</hbox>
			</panel>	
		</hbox>	
		
		
		<hbox>
			<button id="buttonok" label="_btn_ok" 
				align="right" image="button_s.png" sizetoimage="true" 
				onclick="SaveConfig" />
			<spacer width="5" align="right" />
			<button id="buttoncancel" label="_btn_cancel" 
				align="right" image="button_s.png" sizetoimage="true" 
				onclick="RestoreConfig" />
			<spacer width="30" align="right" />
		</hbox>
		
	</panel>
	
</window>